<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"lang="es" xml:lang="es">
<head>
	<meta name="author" content="dario emmanuel vazquez ceballos">
    <meta name="description" content="ejemplos de PHP">
    <meta name="keywords" content="php, mysql, programación en php y mysql, programación web">
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
	<link rel="stylesheet" type="text/css" href="css/style.css" media="all" />
	<script type="text/javascript" src="js/jquery-1.4.4.min.js"></script>
	<script type="text/javascript">
		$(function (){
			$('.result p').addClass('literal');	
			//$('.result p:first').css("background","#E5E581");
			$('.result p:first').toggleClass('resaltar');
			
			$('p').click(function () {
				$(this).toggleClass('striped');
			});
			//oculta los parrafos contenidos en result
			
			/*	
			$('.result p').click(function (){
				//$(this).hide();	
				$(this).hide(function(){$(this).slideUp("fast")});	
			});
			*/
			$('.result p').click(function (){
				$(this).slideUp("slow");	
			});
			
		});
		function stripe(){
			$('#third').toggleClass('striped');	
		}
		function count(){
			var total_p = $('.result p').size();	
			alert("La cantidad de parrafos en result es " +total_p);
		}	
		function showp(){
			//$('.result p').show();
			//$('.result p').show(function (){$(this).slideDown()});
			$('.result p').slideDown();
		}
		
	</script>
	<title>Funciones utiles cápitulo 1 </title>
		
</head>
<body>

	<div id="container">
	
	<h1>Seleccionar un elemento por id</h1>
	
	<div class="definicion">
		<p>jQuery nos permite elegir un elemento de una página apartir del valor de su atributo id.</p>
		<p>En el siguiente ejemplo; Generamos 4 párrafos, el tercer párrafo le colocamos un id con valor "third".</p>
		<p><span>toggleClass()</span>.- esta función alterna una clase del elemento seleccionado, si el elemento tiene la clase se la quita y sino se la pone</p>
		<p><span>addClass()</span>.- esta función agrega una clase al elemento seleccionado.</p>
		
	</div>	
	
	<h1>Botones de acción con onClick</h1>
	<div class="definicion">
		<p>También podemos crear un formulario con un boton, para enlazarle la acción que necesitamos.</p>
		<p>Podemos contar la cantidad de elementos de un mismo tag o etiqueta o tipo o clase. Para ello usamos la función <b>size()</b></p>
	</div>
	
	<h1>Ejecutar código cuando la página is <b>ready</b></h1>
	<div>	
		<p>Podemos ejecutar un código cuando los elementos de la página hayan sido cargados.</p>
		<p>Usando la idea anterior podemos marcar el primer elemento de un conjunto de elementos usando el selector posicional "first"</p>
	</div> 

<pre>
//ejecutar un código cuando los elementos de una página hayan sido cargados.
$(function (){ //una vez que los elementos se hayan cargado se ejecuta su contenido
	$('.result p').addClass('literal');		
	$('.result p:first').css("background","#E5E581");
});
function stripe(){
	$('#third').toggleClass('striped');	
}
function count(){
	var total_p = $('.result p').size();	
	alert("La cantidad de parrafos en result es " +total_p);
}	
</pre>
<h3>Resultado de aplicar la función</h3>
<div class="result">
	<p >párrafo 1</p>
	<p >párrafo 2</p>
	<p id="third">párrafo 3</p>
	<p >párrafo 4</p>
<form>
	<input type="button" value="stripe" onClick="stripe()"> 
</form>
<form>
	<input type="button" value="count parrafos" onClick="count()"> 
</form>
<form>
	<input type="button" value="restaurar" onClick="showp()"> 
</form>
</div>

<hr>

<h1>Crear e Insertar elementos HTMl dentro de una página</h1>

<div class="definicion">
	<p>Podemos crear un elemento HTML ej. [ <span>p, i, span, ul, etc</span> ] e insertarlo en la página. Para insertarlo podemos usar
	   la función insertAfter().</p>
	<p><span>insertAfter(Indicador)</span>.- A partir del Indicador se inserta el nuevo elemento.</p>   
</div>
<pre>
//javascript code
var elem_p="< p>párrafo 0< /p>";
var elem_p2="< p class='literal'>párrafo 0< /p>";
$(elem_p).insertAfter('#seccion');
$(elem_p2).insertBefore('#seccion p:first');

// html code
< div id="seccion"> 
< p>párrafo 1</ p>		
< p>párrafo 2</ p>
< p>párrafo 3</ p>
< /div>
</pre>
<h3>Resultado de aplicar insertAfter() e insertBefore()</h3>
<div class="definicion">
	<p><span>insertBefore()</span>.-Similar a insertAfter(), se inserta el elemento HTML antes del elemento indicado como argumento.</p>
</div>

<script type="text/javascript">
	$(function (){//cuando los elementos de la pagina hayan sido cargados.
		var elem_p="<p>párrafo después de 'seccion'  </p>";
		var elem_p2="<p class='literal'>párrafo 0</p>";
		$(elem_p).insertAfter('#seccion');
		$(elem_p2).insertBefore('#seccion p:first');
		$('.result p').addClass('literal');	
		$('.result p:eq(0)').addClass('prueba');
	});	
</script>

<div class="result">
	<div id="seccion"> 
		<p>párrafo 1</p>		
		<p>párrafo 2</p>
		<p>párrafo 3</p>
	</div>
</div>

</div>
</body>
</html>
